//
//  ViewController.swift
//  TIMFLIX
//
//  Created by Alain on 2014-07-16.
//  Copyright (c) 2014 TIM. All rights reserved.
//  Étape 02

import UIKit


///  Classe de la scène "Liste des vidéos"
class ViewController: UIViewController {
    
    /// Tableau renseigné par le fichier "Liste des videos.plist"
    var tableauDesVideos = NSArray()
                            
    /// Méthode de départ...
    override func viewDidLoad() {
        super.viewDidLoad()

        // Chargement de la liste des vidéos
        if let path = NSBundle.mainBundle().pathForResource("Listes des videos", ofType: "plist")
        {
            tableauDesVideos = NSArray(contentsOfFile: path)
        }
        else {
            println("Erreur: Le chemin vers le fichier de données est invalide ")
        } // if let path ...

        // Trace temporaire
        println(tableauDesVideos)
        
        // TODO:  Code temporaire, à effacer
        let unFilm = tableauDesVideos[0] as NSDictionary
        let titre = unFilm["titre"] as String
        println("Le titre du film est: \(titre)")
        
        
    } // viewDidLoad


    // Les méthodes de délégation pour un UITableView
    // ********************************************************************
    func tableView(tableView: UITableView,  numberOfRowsInSection: NSInteger) -> Int
    // ********************************************************************
    {
        return tableauDesVideos.count
    } // numberOfRowsInSection
    
    // ********************************************************************
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell!
        // ********************************************************************
    {
 
        var videoCourant = tableauDesVideos[indexPath.row] as NSDictionary
        
        var celluleCourante:UITableViewCell

        
        // Créer une cellule de façon écologique
        if let celluleRecyclée = tableView.dequeueReusableCellWithIdentifier("modeleCellule") as? UITableViewCell  {
            // oui
            celluleCourante = celluleRecyclée
        } else
            
        {  //  Non, alors créer une nouvelle cellule à partir de la classe UITableViewCell
            celluleCourante = UITableViewCell(style: UITableViewCellStyle.Default, reuseIdentifier: "modeleCellule")
        } // !cell
 
        celluleCourante.textLabel.text = videoCourant["titre"] as String
        celluleCourante.imageView.image = UIImage(named:videoCourant["pochette"] as String)
         return celluleCourante
    } // cellForRowAtIndexPath

    
} // class ViewController

